<ion-header>
    <ion-navbar color="primary">
        <ion-title>Backup</ion-title>
    </ion-navbar>
</ion-header>
      
<ion-content padding text-center>
    <div *ngIf="photos && photos.length !== 0 && progress !== 100">
        <h2>{{photos.length}}</h2>
        <p> file(s) since last backup.</p>
    </div>
    
    <ion-note color="secondary" *ngIf="photos && photos.length === 0 || progress == 100">Backup is up to date.</ion-note>
    <progress-bar [progress]="progress" [color]="'#488aff'" *ngIf="progress"></progress-bar>

    <button ion-button full round (click)="backup()" *ngIf="photos && photos.length !== 0 && !progress">Download</button>
</ion-content>